package com.diagbot.repository;

import com.diagbot.entity.node.Dept;
import com.diagbot.util.ListUtil;

import java.util.ArrayList;
import java.util.List;

public class DeptNode {

    /**
     * 获取科室名称列表
     */
    public List<String> getDeptNameList(String name, Integer size, DeptRepository deptRepository, BaseNodeRepository baseNodeRepository) {
        List<String> deptlt = new ArrayList<>();
        if (null == size) {
            size = 100;
        }

        List<Dept> deptlist = deptRepository.index(name, name, size);

        if (ListUtil.isNotEmpty(deptlist) && deptlist.size() > size) {
            deptlist = deptlist.subList(0, size);
        }

        for (Dept dept : deptlist) {
            deptlt.add(dept.getName());
        }
        return deptlt;
    }
}

